aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-gnome/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2011-10-31 11:55:31 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2011-10-31 11:55:39 +0000
commitd804cede0514e6e27011de3da7c0fdea963103d3 (patch)
tree020dea003b079d31460d2e980b0804fa23534c62 /testing/py-gnome/APKBUILD
parent30da3706c18875184f98d363bd3be2f2c6efa0f5 (diff)
downloadaports-d804cede0514e6e27011de3da7c0fdea963103d3.tar.gz
aports-d804cede0514e6e27011de3da7c0fdea963103d3.tar.bz2
aports-d804cede0514e6e27011de3da7c0fdea963103d3.tar.xz
testing/py-gnome: remove *.la, deps, arch & cosmetic fixes
Diffstat (limited to 'testing/py-gnome/APKBUILD')
-rw-r--r--testing/py-gnome/APKBUILD39
1 files changed, 26 insertions, 13 deletions
diff --git a/testing/py-gnome/APKBUILD b/testing/py-gnome/APKBUILD
index 7c1776132a..af2fb66afb 100644
--- a/testing/py-gnome/APKBUILD
+++ b/testing/py-gnome/APKBUILD
@@ -4,16 +4,16 @@ pkgname=py-gnome
_realname=gnome-python
pkgver=2.28.1
_basever=2.28
-pkgrel=0
+pkgrel=1
pkgdesc="Python interface to GNOME libraries"
url="http://pygtk.org"
-arch="all"
+arch="noarch"
license="LGPL"
-depends=""
+depends="$pkgname-bonobo $pkgname-gconf $pkgname-libgnome $pkgname-gnomevfs"
depends_dev="gtk+-dev libgnome-dev py-gobject-dev py-gtk-dev python-dev"
makedepends="$depends_dev"
install=""
-subpackages="$pkgname-dev $pkgname-bonobo $pkgname-libgnome $pkgname-gconf\
+subpackages="$pkgname-dev $pkgname-bonobo $pkgname-gconf $pkgname-libgnome \
$pkgname-gnomevfs"
source="http://ftp.gnome.org/pub/gnome/sources/$_realname/$_basever/$_realname-$pkgver.tar.bz2"
@@ -38,22 +38,22 @@ package() {
find $pkgdir -iname *.la -delete
}
-gconf() {
- pkgdesc="Python bindings for interfacing with GConf"
- cd "$_builddir"
- make -C gconf DESTDIR=$subpkgdir install || return 1
-}
-
bonobo() {
pkgdesc="Python bindings for interfacing with Bonobo"
+ arch="noarch"
+ depends="py-gtk $pkgname-gnomecanvas"
cd "$_builddir"
make -C bonobo DESTDIR=$subpkgdir install || return 1
+ find $pkgdir -iname *.la -delete
}
-libgnome() {
- pkgdesc="Python bindings for libgnome"
+gconf() {
+ pkgdesc="Python bindings for interfacing with GConf"
+ arch="all"
+ depends="gconf pygtk"
cd "$_builddir"
- make -C gnome DESTDIR=$subpkgdir install || return 1
+ make -C gconf DESTDIR=$subpkgdir install || return 1
+ find $pkgdir -iname *.la -delete
}
# Temporarily disabled as it does not build
@@ -61,12 +61,25 @@ libgnome() {
# pkgdesc="Python bindings for the GNOME Canvas"
# cd "$_builddir"
# make -C gnomecanvas DESTDIR=$subpkgdir install || return 1
+# find $pkgdir -iname *.la -delete
#}
gnomevfs() {
pkgdesc="Python bindings for interacting with gnome-vfs"
+ arch="all"
+ depends="gnome-vfs"
cd "$_builddir"
make -C gnomevfs DESTDIR=$subpkgdir install || return 1
+ find $pkgdir -iname *.la -delete
+}
+
+libgnome() {
+ pkgdesc="Python bindings for libgnome"
+ arch="all"
+ depends="pygtk $pkgname-bonobo $pkgname-gnomecanvas $pkgname-gnomevfs"
+ cd "$_builddir"
+ make -C gnome DESTDIR=$subpkgdir install || return 1
+ find $pkgdir -iname *.la -delete
}
md5sums="a17ad952813ed86f520de8e07194a2bf gnome-python-2.28.1.tar.bz2"